Signed-off-by: Florian Eckert <redacted>
$(INSTALL_CONF) $(PKG_INSTALL_DIR)/etc/keepalived/keepalived.conf \
$(1)/etc/keepalived/
+ $(INSTALL_DIR) $(1)/etc/uci-defaults
+ $(INSTALL_BIN) ./files/etc/uci-defaults/keepalived \
+ $(1)/etc/uci-defaults/keepalived
+
$(INSTALL_DIR) $(1)/etc/init.d
$(INSTALL_BIN) ./files/keepalived.init \
$(1)/etc/init.d/keepalived
--- /dev/null
+#!/bin/sh
+
+# Check if old config section is still in use
+uci show keepalived.@global_defs[-1] 1>/dev/null 2>/dev/null
+if [ "$?" -eq "0" ]; then
+ uci -q rename keepalived.@global_defs[-1]=globals
+ uci -q commit keepalived
+ sed -i "s|^config global_defs 'globals'$|config globals 'globals'|" \
+ /etc/config/keepalived
+fi
+
+exit 0